﻿using System;
using System.Collections.Generic;
using System.Web.Mvc;

namespace Tradukisto.Engine.DataAnnotations
{
    public class LocalizableModelValidatorProvider : DataAnnotationsModelValidatorProvider
    {
        public LocalizableModelValidatorProvider()
            : base()
        {
        }

        protected override IEnumerable<ModelValidator> GetValidators(ModelMetadata metadata, ControllerContext context, IEnumerable<Attribute> attributes)
        {
            var validators = base.GetValidators(metadata, context, attributes);
            var result = new List<LocalizableModelValidator>();
            foreach (var validator in validators)
            {
                result.Add(new LocalizableModelValidator(validator, metadata, context));
            }
            return result;
        }
    }
}
