﻿using MongoRepository;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;

namespace Tradukisto.Model
{
    /// <summary>
    /// This class represents a localized item.
    /// </summary>
    public class LocalItem : IEntity
    {
        [Required]
        [StringLength(100)]
        [DisplayName("Controller")]
        public string ControllerName { get; set; }

        [Required]
        [StringLength(100)]
        [DisplayName("Action")]
        public string ActionName { get; set; }

        [Required]
        [StringLength(100)]
        public string Name { get; set; }

        [Required]
        [StringLength(100)]
        public string Culture { get; set; }

        [Required]
        [DataType(DataType.MultilineText)]
        public string Value { get; set; }

        [HiddenInput]
        public string Id
        {
            get;
            set;
        }
    }
}
